com.smartgwt.client.widgets.calendar.events

## Class EventHoverHTMLEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<H>
      - - com.smartgwt.client.widgets.events.BrowserEvent<EventHoverHTMLHandler>
        - - com.smartgwt.client.widgets.calendar.events.EventHoverHTMLEvent

- Deprecated.
  Please use setEventHoverHTMLCustomizer instead, this will be removed in a future release.

      public class EventHoverHTMLEvent
      extends BrowserEvent<EventHoverHTMLHandler>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventHoverHTMLEvent(com.google.gwt.core.client.JavaScriptObject jsObj)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(EventHoverHTMLHandler handler)` Deprecated.
    `static <S extends HasEventHoverHTMLHandlers & com.google.gwt.event.shared.HasHandlers> void` | `fire(S source, com.google.gwt.core.client.JavaScriptObject jsObj)` Deprecated. Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `com.google.gwt.event.shared.GwtEvent.Type<EventHoverHTMLHandler>` | `getAssociatedType()` Deprecated.
    `java.lang.String` | `getDefaultValue()` Deprecated. the default HTML to show when hovering over the passed event
    `CalendarEvent` | `getEvent()` Deprecated. The event being hovered
    `EventCanvas` | `getEventCanvas()` Deprecated. the event canvas being hovered over
    `Canvas` | `getFiringCanvas()` Deprecated. Returns the `Canvas` firing the event.
    `static com.google.gwt.event.shared.GwtEvent.Type<EventHoverHTMLHandler>` | `getType()` Deprecated. Gets the type associated with this event.
    `CalendarView` | `getView()` Deprecated. the CalendarView in which the eventCanvas lives

    - ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

      `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

    - ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `getFiringInstanceAsJavaScriptObject`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EventHoverHTMLEvent

          public EventHoverHTMLEvent(com.google.gwt.core.client.JavaScriptObject jsObj)

      Deprecated.

  - ### Method Detail

    - #### getFiringCanvas

          public Canvas getFiringCanvas()

      Deprecated.
      Returns the `Canvas` firing the event.
      Returns:
        Canvas firing the event

    - #### fire

          public static <S extends HasEventHoverHTMLHandlers & com.google.gwt.event.shared.HasHandlers> void fire(S source,
                                                                                                                  com.google.gwt.core.client.JavaScriptObject jsObj)

      Deprecated.
      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static com.google.gwt.event.shared.GwtEvent.Type<EventHoverHTMLHandler> getType()

      Deprecated.
      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(EventHoverHTMLHandler handler)

      Deprecated.
      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<EventHoverHTMLHandler>`

    - #### getAssociatedType

          public final com.google.gwt.event.shared.GwtEvent.Type<EventHoverHTMLHandler> getAssociatedType()

      Deprecated.
      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<EventHoverHTMLHandler>`

    - #### getEvent

          public CalendarEvent getEvent()

      Deprecated.
      The event being hovered
      Returns:
        The event being hovered

    - #### getEventCanvas

          public EventCanvas getEventCanvas()

      Deprecated.
      the event canvas being hovered over
      Returns:
        the event canvas being hovered over

    - #### getView

          public CalendarView getView()

      Deprecated.
      the CalendarView in which the eventCanvas lives
      Returns:
        the CalendarView in which the eventCanvas lives

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

      Deprecated.
      the default HTML to show when hovering over the passed event
      Returns:
        the default HTML to show when hovering over the passed event